#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with falcon
%bcond_with java
%bcond_with python
%bcond_without ruby

%define rel 1

Name:           kross-interpreters
Epoch:          1
Version: 24.07.90
Release:        %mkrel %{rel}
Summary:        KDE bindings to non-C++ languages
Group:          Graphical desktop/KDE
License:        LGPLv2
URL:            https://invent.kde.org/libraries/kross-interpreters
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Parts)

%if %with python
BuildRequires:  pkgconfig(python2)
%endif

%if %with falcon
BuildRequires:  falcon-devel
%endif

%if %with java
BuildRequires:  java-devel
%endif

%if %with ruby
BuildRequires:  ruby-devel
%endif


%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------
%if %with java

%package java
Summary:        Java kross interpreter
Group:          Development/Java

%description java
Java kross interpreter.

%files java
%_qt5_plugindir/kross/kross.jar
%_qt5_plugindir/krossjava.so

%endif

#---------------------------------------------------------------
%if %with python

%package python
Summary:        Python kross-interpreter
Group:          Development/Python

%description python
Python kross interpreter.

%files python
%_qt5_plugindir/krosspython.so

%endif

#--------------------------------------------------------------
%if %with ruby

%package ruby
Summary:        Ruby kross interpreter
Group:          Development/Ruby

%description ruby
Ruby kross interpreter.

%files ruby
%_qt5_plugindir/krossruby.so

%endif

#------------------------------------------------------------

%if %with falcon

%package -n falcon-kde4
Summary:        Falcon KDE 4 bindings
Group:          Development/KDE and Qt
Requires:       falcon

%description -n falcon-kde4
Falcon KDE 4 bindings.

%files -n falcon-kde4
%_kde_libdir/kde4/krossfalcon.so

%endif

#------------------------------------------------------------

%prep
%autosetup -p1

%build
export CXXFLAGS="%optflags  -fpermissive"
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2085165
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073284
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069932
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058679
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045218
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037716
- New version 24.01.95

* Sat Jan 27 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2035332
- New version 24.01.90
- New version 24.01.85
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989660
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958237
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946549
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941842
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922963
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911458
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905309
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886828
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880814
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873124
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1854017
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849523
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-3.mga9
+ Revision: 1846179
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1:21.12.0-2.mga9
+ Revision: 1784564
- Rebuild for Ruby 3.1

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763908
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 1:21.11.90-1.mga9
+ Revision: 1760002
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724116
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718401
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698604
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694130
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655657
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644042
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633858
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627101
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614969
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604165
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596903
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584549
- New version 20.04.1

* Sat May 09 2020 wally <wally> 1:20.04.0-2.mga8
+ Revision: 1582357
- build without python2 support

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568179
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559368
- New version 19.12.3

* Mon Mar 02 2020 pterjan <pterjan> 1:19.12.2-3.mga8
+ Revision: 1553142
- Rebuild for ruby 2.7

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540194
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513338
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466996
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457944
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446453
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425036
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390491
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387698
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382842
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375674
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365614
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356550
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339556
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332785
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 1:18.08.2-2.mga7
+ Revision: 1332240
- enable ruby support

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327439
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298653
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1229048
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201935
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194957
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186499
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143090
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136823
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1123788
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090120
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076864
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072056
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067374
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061437
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050700
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047344
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040101
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012591
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004380
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994948
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991223
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987493
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922661
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911960
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905418
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901154
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890635
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880447
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865965
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863839
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861778
- New version 15.07.90

* Tue Aug 04 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 861057
- New version 15.07.80

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800637
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787735
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 750175
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734585
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 1:4.14.0-3.mga5
+ Revision: 726685
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681200
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667522
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663034
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656712
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653897
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652008
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636771
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625538
- Update to KDE SC 4.13.1
- remove patch1 merged upstream

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615615
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609431
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606872
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603379
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600714
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 592391
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580693
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555031
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551303
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540473
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490690
- Update tarball to KDE SC 4.11.2

* Fri Sep 20 2013 fwang <fwang> 1:4.11.1-2.mga4
+ Revision: 482470
- accept ruby 2.0
- rebuild for ruby 2.0

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476785
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465138
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458949
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455335
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Add patch0 to fix build
+ mikala <mikala>
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Drop patch merged upstream
- Update patch1 to ensure ruby build
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435243
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428362
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407174
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401913
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394351
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339396
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334505
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326709
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320263
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316147
- Update tarball to KDE SC 4.9.3
- Disable ruby support for now (does not build with ruby 1.9.3)

* Thu Nov 01 2012 fwang <fwang> 1:4.9.2-2.mga3
+ Revision: 311973
- fix str fmt
- add opensuse patch to build with ruby1.9
- rebuild for new ruby

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301923
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289712
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 277073
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269698
- new version 4.8.97

* Mon Jul 02 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 266587
- br openjdk
+ shlomif <shlomif>
- New version - 4.8.95

* Sat Jun 09 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 258084
- use -fpermissive
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228480
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221495
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198179
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190957
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186372
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182142
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176474
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-0.mga2
+ Revision: 161370
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151970
- Update tarball to KDE SC 4.7.2
- Update license tag

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140660
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- imported package kross-interpreters

